
/*
 * (c) 1988 by George Kyriazis
 */

/*
 * main subroutine call for the ray-tracer
 *	Use:  % ray scenename resolution outfile
 */

#include	"ray.h"
#include	<stdio.h>

main(argc, argv)
int	argc;
char	**argv;
{

	if(argc != 4) {
		fprintf(stderr,"Usage: %s scenename resolution outfile\n",
			argv[0]);
		exit(1);
	}

	xres = yres = atoi(argv[2]);

	readfile(argv[1]);
	initialize();
	raytrace(argv[3]);
}

